package com.fjhx.service.product;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.entity.product.ProductInfo;
import com.fjhx.params.product.ProductCombinationEx;
import com.fjhx.params.product.ProductInfoVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-29
 */
public interface ProductInfoService extends BaseService<ProductInfo> {

    Page<Map<String, Object>> getPage(Map<String, Object> condition);

    void add(ProductInfoVo productInfoVo);

    void edit(ProductInfoVo productInfoVo);

    void delete(ProductInfoVo productInfoVo);

    Page<ProductCombinationEx> getCombinationPage(Condition condition);

}
